summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorkaptoxic2016-05-02 02:12:34 -0400
committerkaptoxic2016-05-02 02:12:34 -0400
commit3709d20009fa668aa5b71a9e97e2d9f32b1fd555 (patch)
treed22bcb16f1fa57d9f7f734cb053342210f11ec96
downloadaur-3709d20009fa668aa5b71a9e97e2d9f32b1fd555.tar.gz
Revive original package
-rw-r--r--.SRCINFO26
-rw-r--r--PKGBUILD26
2 files changed, 52 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..0c24d10b62e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+# Generated by mksrcinfo v8
+# Mon May 2 06:12:31 UTC 2016
+pkgbase = gphotoframe
+ pkgdesc = Gnome Photo Frame is a photo frame gadget for the GNOME Desktop.
+ pkgver = 1.3
+ pkgrel = 1
+ url = http://code.google.com/p/gphotoframe/
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = python2-distutils-extra
+ depends = pygtk
+ depends = twisted
+ depends = pyxdg
+ depends = python2-gdata
+ optdepends = python-simplejson
+ optdepends = python-feedparser
+ optdepends = python-clutter
+ optdepends = gnome-python-desktop
+ provides = gphotoframe
+ conflicts = gphotoframe-git
+ source = http://gphotoframe.googlecode.com/files/gphotoframe-1.3.tar.gz
+ md5sums = 84742206179e00073d489cea16b225d6
+
+pkgname = gphotoframe
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..af6408b7b29
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Contributor: Berseker < berseker86 at gmail.com >
+pkgname=gphotoframe
+pkgver=1.3
+_realver=1.3
+pkgrel=1
+pkgdesc="Gnome Photo Frame is a photo frame gadget for the GNOME Desktop."
+arch=('i686' 'x86_64')
+url="http://code.google.com/p/gphotoframe/"
+license=('GPL3')
+groups=()
+depends=('pygtk' 'twisted' 'pyxdg' 'python2-gdata')
+makedepends=('python2-distutils-extra')
+optdepends=('python-simplejson' 'python-feedparser' 'python-clutter'
+'gnome-python-desktop')
+provides=('gphotoframe')
+conflicts=('gphotoframe-git')
+options=()
+source=(http://gphotoframe.googlecode.com/files/$pkgname-$_realver.tar.gz)
+
+build() {
+ cd "$srcdir/$pkgname-$_realver"
+ python2 setup.py install --prefix=$pkgdir/usr/ || return 1
+ gconf-merge-schema gphotoframe.schemas
+}
+
+md5sums=('84742206179e00073d489cea16b225d6')